---
lang: en
title: 'API docs: express.expressapplication'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/strongloop/loopback-next/tree/master/packages/express
permalink: /doc/en/lb4/apidocs.express.expressapplication.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/express](./express.md) &gt; [ExpressApplication](./express.expressapplication.md)

## ExpressApplication class

A LoopBack application with Express server

<b>Signature:</b>

```typescript
export declare class ExpressApplication extends Application 
```
<b>Extends:</b> [Application](./core.application.md)

## Constructors

|  Constructor | Modifiers | Description |
|  --- | --- | --- |
|  [(constructor)(config)](./express.expressapplication._constructor_.md) |  | Constructs a new instance of the <code>ExpressApplication</code> class |

## Properties

|  Property | Modifiers | Type | Description |
|  --- | --- | --- | --- |
|  [config](./express.expressapplication.config.md) |  | [ApplicationConfig](./core.applicationconfig.md) \| undefined |  |
|  [expressServer](./express.expressapplication.expressserver.md) |  | [ExpressServer](./express.expressserver.md) | Embedded Express Server |


